Bug 1250443 - RHEL6 fv tests fail: domain hwcert-x86_64 not found
RHEL6 fv tests fail: domain hwcert-x86_64 not found
Status: CLOSED WONTFIX
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 07:28 EDT by Greg Nichols
Modified: 2015-08-06 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-06 13:16:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Nichols 2015-08-05 07:28:01 EDT
Description of problem:

The fv_* tests fail with virsh start hwcert-x86_64 reporting that the domain is not found.

When the libvirtd daemon process is started, no errors are reported, but if started in the foreground, it reports an error reading the guest configuration:

[root@hp-dl380pg8-09 ~]# libvirtd
2015-08-05 11:12:56.148+0000: 63465: info : libvirt version: 0.10.2, package: 54.el6 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2015-04-28-09:24:16, x86-033.build.eng.bos.redhat.com)
2015-08-05 11:12:56.148+0000: 63465: error : virDomainControllerDefParseXML:4503 : internal error Unknown controller type 'pci'


Version-Release number of selected component (if applicable):

redhat-certification-hardware-1.6.6-20150731.el6.noarch

RHEL6.7
Comment 1 Greg Nichols 2015-08-05 07:55:59 EDT
Removal of "<controller type="pci" ..." from /etc/libvirtd/qemu/hwcert-x86_64 seems to fix the test failure.
Comment 2 brose 2015-08-06 13:16:46 EDT
Agreed.  Filed ticket to have that config xml updated on ftp partner server.

Note You need to log in before you can comment on or make changes to this bug.